Bug 163124 - [update] audio/wildmidi 0.2.3.5
Summary: [update] audio/wildmidi 0.2.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-08 13:10 UTC by RyōTa SimaMoto
Modified: 2012-02-16 04:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.57 KB, patch)
2011-12-08 13:10 UTC, RyōTa SimaMoto
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2011-12-08 13:10:07 UTC
Upstream upgrade to v0.2.3.5
Not only the sub-micro version, but also library version are incremented.

As far as I noticed, since library version was changed from libWildMidi.so.1 to so.2,
a link failure would happen on multimedia/qmmp's midi output plug-in if its
WITH_WILDMIDI option is enabled (default).  Of course I'll report, in another
PR, to ask its PORTREVISION should be incremented.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-12-08 13:10:17 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Carlo Strub freebsd_committer 2011-12-09 13:10:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 3 Philip M. Gollucci freebsd_committer 2012-02-12 00:08:56 UTC
Responsible Changed
From-To: cs->pgollucci

committer timeout (cs ; 65 days) / last commit: 12 days ago
Comment 4 Philip M. Gollucci freebsd_committer 2012-02-16 04:39:41 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter service freebsd_committer 2012-02-16 04:39:51 UTC
pgollucci    2012-02-16 04:39:37 UTC

  FreeBSD ports repository

  Modified files:
    audio/wildmidi       Makefile distinfo 
  Log:
  - Update to 0.2.3.5
  
  PR:             ports/163124
  Submitted by:   RyoTa SimaMoto <liangtai.s4@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +4 -2      ports/audio/wildmidi/Makefile
  1.2       +2 -2      ports/audio/wildmidi/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"